Bug 7792 - [UPDATE REQUEST] FireFox 52.0 disables ALSA unless compiled with --enable-alsa
: [UPDATE REQUEST] FireFox 52.0 disables ALSA unless compiled with --enable-alsa
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Алзим
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-17 22:38 MSK by Zombie Ryushu
Modified: 2017-10-17 18:02 MSD (History)
4 users (show)

See Also:
RPM Package: firefox-esr52
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2017-03-17 22:38:43 MSK
FireFox 52.0 disables ALSA  audio playback unless compiled with --enable-alsa.
Comment 1 Zombie Ryushu 2017-06-20 18:35:53 MSD
FireFox 52.x disables ALSA  audio playback unless compiled with --enable-alsa. This has been confirmed to be the case with the firefox-esr52 package. Please correct this!
Comment 2 Zombie Ryushu 2017-06-21 12:57:44 MSD
Confirmed this as a problem on Rosa 2016 in general.
Comment 3 Zombie Ryushu 2017-06-21 16:32:25 MSD
Verified that adding --enable-alsa fixes the problem.
Comment 4 Zombie Ryushu 2017-07-15 10:44:43 MSD
I just looked at the FireFox 52.2 thing, enable-alsa is still not enabled. Please fix!
Comment 5 Zombie Ryushu 2017-10-04 20:11:22 MSD
Please Fix this! I Am still having to do Builds of firefox myself to fix this! This is an easy fix! ENABLE_ALSA 1
Comment 6 Andrey Bondrov 2017-10-05 05:18:37 MSD
(In reply to comment #5)
> Please Fix this! I Am still having to do Builds of firefox myself to fix
> this! This is an easy fix! ENABLE_ALSA 1

I agree, this should be fixed. Alzim, plaese take care of it.
Comment 7 Алзим 2017-10-05 11:58:17 MSD
(In reply to comment #6)
> I agree, this should be fixed. Alzim, plaese take care of it.

Firefox использует pulseaudio. В Frefox специально была отключена ALSO из-за огромного количества ошибок. Разработчики отказываются поддерживать ALSO. Я не хочу ломать firefox-esr52. Жалоб от пользователей на этот браузер нет. 

(translate)
Firefox uses pulseaudio. In Frefox specifically was disabled ALSO due to the large number of errors. The developers refuse to support ALSO. I don't want to break firefox-esr52. Complaints from users on this browser.
Comment 8 Andrey Bondrov 2017-10-05 13:17:52 MSD
I see. They (FF developers) want to drop ALSA support completely anyway.

Zombie Ryushu, maybe you can use NewMoon (aka PaleMoon) browser instead? It's built with ALSA support. I myself prefer NewMoon because it's just an old good Firefox, not ruined by new design trends.
Comment 9 Zombie Ryushu 2017-10-05 21:06:02 MSD
No I can't. Using FireFox ESR 45.9 already breaks functionality on a small number of Sites. Mageia does Enable_Alsa 1 and FireFox works under Mageia just fine. I'm not asking you to change firefox-esr52, only firefox. Pulse Audio breaks a large number of my Applications when running, including Mednafen and others.

I have never seen  Any errors or crashes due to ALSA.
Comment 10 Zombie Ryushu 2017-10-06 03:55:13 MSD
I cannot voice my disagreement loudly enough with making FireFox Pulse Audio only.
Comment 11 Алзим 2017-10-13 16:59:38 MSD
Вы можете собрать в свой репозиторий Firefox c нужными вам опциями. 
You can collect in your private repository Firefox you need options.
Comment 12 Zombie Ryushu 2017-10-13 23:47:49 MSD
Thats a terrible solution. That means I have to maintain a completely separate fork, and urpmi will over write my changes whenever a new build is published creating a huge headache. 

Thats not an acceptable solution to me.
Comment 13 Zombie Ryushu 2017-10-13 23:58:17 MSD
The support for ALSA does not impeed Pulse Audio
Comment 14 Алзим 2017-10-17 18:02:16 MSD
(In reply to comment #12)
> Thats a terrible solution. That means I have to maintain a completely
> separate fork, and urpmi will over write my changes whenever a new build is
> published creating a huge headache. 
Увеличьте с  %define ff_epoch 0
на %define ff_epoch 1
Increase %define ff_epoch 0
%define ff_epoch 1